Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-ansi-styles
Version:    2.1.0
Release:    alt1_7
Summary:    ANSI escape codes for colorizing strings in the terminal
License:    MIT
URL:        https://github.com/sindresorhus/ansi-styles
Source0:    http://registry.npmjs.org/ansi-styles/-/ansi-styles-%{version}.tgz
# test file
Source1:    https://raw.githubusercontent.com/chalk/ansi-styles/v%{version}/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chalk)
BuildRequires:  npm(require-uncached)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansi-styles
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/ansi-styles

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ln -s %{nodejs_sitelib}/chalk node_modules/chalk
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/ansi-styles


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_7
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt0.1.njs.bootstrap
- bootstrap

